Subject: Re: [MOBILE-IP] handover

From: Dave Oran <[email-masked]>
Date: Tue, 2 May 2000 07:56:29 -0400

Some words from your friendly, neighborhood area director.

I'd like to emphasize what Phil has said in the message below - that the
scope is confined to the general charter of Mobile IP itself: network layer
handoff mechanisms. I'd like to offer the following suggestions for the
scope of the work (the working group is of course free to agree to a
different set of constraints if that is the consensus):

a) methods of micromobility or cell-to-cell handoff accomplished entirely at
layer 2 are out of scope, since they are essentally invisible to mobile IP
anyway
b) methods of handoff that depend sensitively on mobility features of
particular layer 2 protocols are also out of scope, but layer 2 information
can (and should) be used to optimize handoff latency, routing optimality,
administrative afinity, etc. as appropriate.
c) handoff methods which
 - do not involve any layer 2 mobility mechanisms,
 - make the acutal handoff decision at layer 3 based on layer 2 information,
and
 - which do a handoff autnonmously at layer 2 and inform layer 3 of the new
configuration are all in scope.
Ideally, all three would be supported by the resulting specification.

The idea of defining an abstract layer2/layer 3 interface to express both
the informaiton exchange and the handoff invocation seems an essental part
of the charter, since the alternative are likely to be out of scope.

Hope this contributes to the dleiberations.

Dave.

> -----Original Message-----
> From: IP Routing for Wireless/Mobile Hosts (mobile-ip)
> [mailto:[email-masked]]On Behalf Of Roberts
> Phil-QA3445
> Sent: Friday, April 28, 2000 3:56 PM
> To: [email-masked]
> Subject: [MOBILE-IP] handover
>
>
> Hi folks,
>
> Monday we reinitiated the discussion of fast handover support for
> Mobile IP.  We proposed adding the following line to the charter: 'Develop
> an access technology independent method for supporting low
> latency handover
> between access points within a system or across systems.'
>
> The intent of providing a smooth handoff solution at the network layer
> is for obvious reasons : achieve seamless handoff between networks
> (internetworks). Having a solution at the network layer does not
> necessarily mean that it must be used when there is a more efficient
> or optimal mechanism at a lower layer. Also the objective is to
> provide a technology  or air interface independent solution (reason for
> doing at the network layer).
> So depending on whether a smooth handoff mechanism defined at the
> network layer is applied in the micro-mobility environment or at a
> more macro level, within the same technology or across different
> technologies, inter/intra domains etc. may vary to a certain degree.
>
> We've let the conversation run somewhat open loop in order to hear
> what people have to say.  There hasn't been anything that sounds like
> an objection to adding this to the charter so we're going to go ahead
> and forward it to the ADs for approval.  We'll put a Dec 2000 date on
> it.
>
> We believe it's important to put some constraints for discussion and
> submissions.  Although the context of developing fast handover for
> cellular applications in particular may be all IP cellular networks or may
> be
> from the setting of some specific link layer technologies, the
> group is not
> chartered to design all IP cellular networks or to specify interfaces to
> specific link layers.  This is not to say that such work is not
> necessarily
> needed, but that it is outside the scope of this working group.
>
>
> Phil and Raj
>
>